/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VCoreUnit;

import java.time.LocalDateTime;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreUnitRecord extends TableRecordImpl<VCoreUnitRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_unit.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_unit.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_unit.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_unit.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.v_core_unit.fk_trans_key</code>.
     */
    public void setFkTransKey(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_core_unit.fk_trans_key</code>.
     */
    public String getFkTransKey() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.v_core_unit.unit</code>.
     */
    public void setUnit(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_core_unit.unit</code>.
     */
    public String getUnit() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.v_core_unit.is_format</code>.
     */
    public void setIsFormat(Boolean value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_core_unit.is_format</code>.
     */
    public Boolean getIsFormat() {
        return (Boolean) get(4);
    }

    /**
     * Setter for <code>common_dd.v_core_unit.de_de</code>.
     */
    public void setDeDe(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_core_unit.de_de</code>.
     */
    public String getDeDe() {
        return (String) get(5);
    }

    /**
     * Setter for <code>common_dd.v_core_unit.en</code>.
     */
    public void setEn(String value) {
        set(6, value);
    }

    /**
     * Getter for <code>common_dd.v_core_unit.en</code>.
     */
    public String getEn() {
        return (String) get(6);
    }

    /**
     * Setter for <code>common_dd.v_core_unit.pl</code>.
     */
    public void setPl(String value) {
        set(7, value);
    }

    /**
     * Getter for <code>common_dd.v_core_unit.pl</code>.
     */
    public String getPl() {
        return (String) get(7);
    }

    /**
     * Setter for <code>common_dd.v_core_unit.pt</code>.
     */
    public void setPt(String value) {
        set(8, value);
    }

    /**
     * Getter for <code>common_dd.v_core_unit.pt</code>.
     */
    public String getPt() {
        return (String) get(8);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreUnitRecord
     */
    public VCoreUnitRecord() {
        super(VCoreUnit.V_CORE_UNIT);
    }

    /**
     * Create a detached, initialised VCoreUnitRecord
     */
    public VCoreUnitRecord(LocalDateTime lastchange, Integer pk, String fkTransKey, String unit, Boolean isFormat, String deDe, String en, String pl, String pt) {
        super(VCoreUnit.V_CORE_UNIT);

        setLastchange(lastchange);
        setPk(pk);
        setFkTransKey(fkTransKey);
        setUnit(unit);
        setIsFormat(isFormat);
        setDeDe(deDe);
        setEn(en);
        setPl(pl);
        setPt(pt);
        resetChangedOnNotNull();
    }
}
